<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ManagerNewsChangeSubtitleFieldToNullable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('news', function(Blueprint $table)
		{
			DB::statement("
                ALTER TABLE news CHANGE subtitle subtitle VARCHAR( 255 )
                CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL
            ");
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('news', function(Blueprint $table)
		{
			DB::statement("
                ALTER TABLE news CHANGE subtitle subtitle VARCHAR( 255 )
                CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL
            ");
		});
	}

}
